function ToolGradien() {
	// グラデーションツール
	// ToolGradien
	// =======================================================
	var idslct = charIDToTypeID("slct");
	var desc3 = new ActionDescriptor();
	var idnull = charIDToTypeID("null");
	var ref1 = new ActionReference();
	var idGrTl = charIDToTypeID("GrTl");
	ref1.putClass(idGrTl);
	desc3.putReference(idnull, ref1);
	var iddontRecord = stringIDToTypeID("dontRecord");
	desc3.putBoolean(iddontRecord, true);
	var idforceNotify = stringIDToTypeID("forceNotify");
	desc3.putBoolean(idforceNotify, true);
	executeAction(idslct, desc3, DialogModes.NO);
}

function ToolPaintBucket() {
	// 塗りつぶしツール
	// ToolPaintBucket
	// =======================================================
	var idslct = charIDToTypeID("slct");
	var desc4 = new ActionDescriptor();
	var idnull = charIDToTypeID("null");
	var ref2 = new ActionReference();
	var idbucketTool = stringIDToTypeID("bucketTool");
	ref2.putClass(idbucketTool);
	desc4.putReference(idnull, ref2);
	var iddontRecord = stringIDToTypeID("dontRecord");
	desc4.putBoolean(iddontRecord, true);
	var idforceNotify = stringIDToTypeID("forceNotify");
	desc4.putBoolean(idforceNotify, true);
	executeAction(idslct, desc4, DialogModes.NO);
}

function ToolDodge() {
	// 覆い焼き
	// ToolDodge
	// =======================================================
	var idslct = charIDToTypeID("slct");
	var desc22 = new ActionDescriptor();
	var idnull = charIDToTypeID("null");
	var ref6 = new ActionReference();
	var idDdTl = charIDToTypeID("DdTl");
	ref6.putClass(idDdTl);
	desc22.putReference(idnull, ref6);
	executeAction(idslct, desc22, DialogModes.NO);
}

function ToolBurn() {
	// 焼き込み
	// ToolBurn
	// =======================================================
	var idslct = charIDToTypeID("slct");
	var desc23 = new ActionDescriptor();
	var idnull = charIDToTypeID("null");
	var ref7 = new ActionReference();
	var idBrTl = charIDToTypeID("BrTl");
	ref7.putClass(idBrTl);
	desc23.putReference(idnull, ref7);
	executeAction(idslct, desc23, DialogModes.NO);
}

function ToolPen() {
	// ペン
	// ToolPen
	// =======================================================
	var idslct = charIDToTypeID("slct");
	var desc26 = new ActionDescriptor();
	var idnull = charIDToTypeID("null");
	var ref10 = new ActionReference();
	var idpenTool = stringIDToTypeID("penTool");
	ref10.putClass(idpenTool);
	desc26.putReference(idnull, ref10);
	var iddontRecord = stringIDToTypeID("dontRecord");
	desc26.putBoolean(iddontRecord, true);
	var idforceNotify = stringIDToTypeID("forceNotify");
	desc26.putBoolean(idforceNotify, true);
	executeAction(idslct, desc26, DialogModes.NO);
}

function ToolPathSelection() {
	// パスコンポーネント選択
	// ToolPathSelection
	// =======================================================
	var idslct = charIDToTypeID("slct");
	var desc34 = new ActionDescriptor();
	var idnull = charIDToTypeID("null");
	var ref18 = new ActionReference();
	var idpathComponentSelectTool = stringIDToTypeID("pathComponentSelectTool");
	ref18.putClass(idpathComponentSelectTool);
	desc34.putReference(idnull, ref18);
	var iddontRecord = stringIDToTypeID("dontRecord");
	desc34.putBoolean(iddontRecord, true);
	var idforceNotify = stringIDToTypeID("forceNotify");
	desc34.putBoolean(idforceNotify, true);
	executeAction(idslct, desc34, DialogModes.NO);
}

function ToolDirectSelection() {
	// パス選択
	// ToolDirectSelection
	// =======================================================
	var idslct = charIDToTypeID("slct");
	var desc29 = new ActionDescriptor();
	var idnull = charIDToTypeID("null");
	var ref13 = new ActionReference();
	var iddirectSelectTool = stringIDToTypeID("directSelectTool");
	ref13.putClass(iddirectSelectTool);
	desc29.putReference(idnull, ref13);
	var iddontRecord = stringIDToTypeID("dontRecord");
	desc29.putBoolean(iddontRecord, true);
	var idforceNotify = stringIDToTypeID("forceNotify");
	desc29.putBoolean(idforceNotify, true);
	executeAction(idslct, desc29, DialogModes.NO);
}

function TopEdges() {
	// 選択したレイヤーの上端を整列
	// =======================================================
	var idAlgn = charIDToTypeID("Algn");
	var desc26 = new ActionDescriptor();
	var idnull = charIDToTypeID("null");
	var ref13 = new ActionReference();
	var idLyr = charIDToTypeID("Lyr ");
	var idOrdn = charIDToTypeID("Ordn");
	var idTrgt = charIDToTypeID("Trgt");
	ref13.putEnumerated(idLyr, idOrdn, idTrgt);
	desc26.putReference(idnull, ref13);
	var idUsng = charIDToTypeID("Usng");
	var idADSt = charIDToTypeID("ADSt");
	var idAdTp = charIDToTypeID("AdTp");
	desc26.putEnumerated(idUsng, idADSt, idAdTp);
	executeAction(idAlgn, desc26, DialogModes.NO);
}

function VerticalCenters() {
	// 選択したレイヤーの垂直方向中央を整列
	// =======================================================
	var idAlgn = charIDToTypeID("Algn");
	var desc53 = new ActionDescriptor();
	var idnull = charIDToTypeID("null");
	var ref35 = new ActionReference();
	var idLyr = charIDToTypeID("Lyr ");
	var idOrdn = charIDToTypeID("Ordn");
	var idTrgt = charIDToTypeID("Trgt");
	ref35.putEnumerated(idLyr, idOrdn, idTrgt);
	desc53.putReference(idnull, ref35);
	var idUsng = charIDToTypeID("Usng");
	var idADSt = charIDToTypeID("ADSt");
	var idAdCV = charIDToTypeID("AdCV");
	desc53.putEnumerated(idUsng, idADSt, idAdCV);
	executeAction(idAlgn, desc53, DialogModes.NO);
}

function BottomEdges() {
	// 選択したレイヤーの下端を整列
	// =======================================================
	var idAlgn = charIDToTypeID("Algn");
	var desc54 = new ActionDescriptor();
	var idnull = charIDToTypeID("null");
	var ref36 = new ActionReference();
	var idLyr = charIDToTypeID("Lyr ");
	var idOrdn = charIDToTypeID("Ordn");
	var idTrgt = charIDToTypeID("Trgt");
	ref36.putEnumerated(idLyr, idOrdn, idTrgt);
	desc54.putReference(idnull, ref36);
	var idUsng = charIDToTypeID("Usng");
	var idADSt = charIDToTypeID("ADSt");
	var idAdBt = charIDToTypeID("AdBt");
	desc54.putEnumerated(idUsng, idADSt, idAdBt);
	executeAction(idAlgn, desc54, DialogModes.NO);
}

function LayerStyleCopyLayerStyle() {
	// コピー
	// LayerStyleCopyLayerStyle
	// =======================================================
	var idCpFX = charIDToTypeID("CpFX");
	executeAction(idCpFX, undefined, DialogModes.NO);
}

function LayerStylePasteLayerStyle() {
	// ペースト
	// LayerStylePasteLayerStyle
	// =======================================================
	var idPaFX = charIDToTypeID("PaFX");
	var desc46 = new ActionDescriptor();
	var idallowPasteFXOnLayerSet = stringIDToTypeID("allowPasteFXOnLayerSet");
	desc46.putBoolean(idallowPasteFXOnLayerSet, true);
	executeAction(idPaFX, desc46, DialogModes.NO);
}